<script lang="ts">
import Vue from 'vue';
import type { PropType } from 'vue';

interface Card {
  icon: string;
  name: string;
  description: string;
  href: string;
}
export default Vue.extend({
  props: {
    icon: {
      type: String,
      required: false,
      default: '',
    },
    header: {
      type: String,
      required: false,
      default: '',
    },
    cards: {
      type: Array as PropType<Card[]>,
      required: true,
    },
  },
});
</script>

<template>
  <div class="by-industry-header">
    <div class="text">
      <SlpIcon
        v-if="icon"
        :name="icon || 'institution'"
        variant="marketing"
        size="md"
      />
      <SlpTypography v-if="header" variant="body3-bold"
        >By industry</SlpTypography
      >
      <SlpTypography v-if="header" variant="heading3-bold" class="header">
        {{ header }}
      </SlpTypography>
    </div>
    <div class="cards">
      <a
        v-for="card in cards"
        :key="card.name"
        class="card"
        :href="card.href"
        :data-ga-name="card.name"
        data-ga-location="by industry"
      >
        <SlpIcon :name="card.icon" size="md" variant="marketing" />
        <SlpTypography variant="heading5-bold">{{ card.name }}</SlpTypography>
        <SlpTypography variant="body3">{{ card.description }}</SlpTypography>
        <SlpIcon name="arrow-right" variant="product" size="sm" />
      </a>
    </div>
  </div>
</template>

<style lang="scss" scoped>
.by-industry-header {
  margin-top: 48px;
  margin-bottom: 64px;

  .text {
    display: flex;
    flex-direction: column;
    gap: 16px;
    margin-bottom: 48px;
    @media (min-width: $breakpoint-lg) {
      max-width: 60%;
    }
  }
  .cards {
    display: grid;
    grid-template-columns: 1fr;
    gap: 32px;
    @media (min-width: $breakpoint-lg) {
      grid-template-columns: repeat(3, 1fr);
    }
  }
  .card {
    cursor: pointer;
    display: flex;
    background: white;
    color: $color-text-300;
    border-radius: 4px;
    flex-direction: column;
    gap: 16px;
    padding: 24px;
    transition: all 0.3s;
    &:hover {
      border-radius: 4px 4px 90px 4px;
    }
  }
}
</style>
